API Guide Home (Online version only) |

# PhnPDPPayload Struct Reference

## Detailed Description

Packet data profile payload

Definition at line 636 of file HsPhoneCDMATypes.h.

## Data Fields

- UInt8 uid [phnPDPUidLen]
- Boolean restrict_nai
- UInt8 nai_length
- UInt8 nai [phnMaxNAILen]
- Boolean restrict_mn_aaa_ss
- Boolean stored_mn_aaa_ss
- UInt8 mn_aaa_ss_length
- UInt8 mn_aaa_ss [phnMaxMNAAASharedSecretLen]
- Boolean restrict_mn_ha_ss
- UInt8 mn_ha_ss_length
- UInt8 mn_ha_ss [phnMaxMNHASharedSecretLen]
- Boolean restrict_mn_aaa_spi
- Boolean set_mn_aaa_spi
- DWord mn_aaa_spi
- Boolean restrict_mn_ha_spi
- Boolean set_mn_ha_spi
- DWord mn_ha_spi
- Boolean restrict_rev_tunnel_pref
- Boolean rev_tunnel_pref
- Boolean restrict_home_addr
- DWord home_addr
- Boolean restrict_ha_addr
- DWord prim_ha_addr
- DWord sec_ha_addr
- UInt8 svc_str_length
- UInt8 svc_str [phnMaxSvcStrLen]
- UInt8 dial_str_length
- UInt8 dial_str [phnMaxDialStrLen]
- Boolean dns_server_assigned
- DWord prim_dns_addr
- DWord sec_dns_addr
- PhnPDPConnectionType connection_type
- PhnPDPService pdp_services

## Field Documentation

UInt8 uid[phnPDPUidLen]

The binary UID for this PDP.

Definition at line 638 of file HsPhoneCDMATypes.h.

Boolean restrict_nai

Boolean indicating if the NAI field is restricted from being read from this PDP index. None of the following NAI fields will contain valid data if set to TRUE.

Definition at line 641 of file HsPhoneCDMATypes.h.

UInt8 nai_length

The number of characters in the NAI.

Definition at line 646 of file HsPhoneCDMATypes.h.

UInt8 nai[phnMaxNAILen]

The user NAI character string in ASCII representation.

Definition at line 649 of file HsPhoneCDMATypes.h.

Boolean restrict_mn_aaa_ss

Boolean indicating if the MN-AAA shared secret field is restricted from being read from this PDP index. None of the following MN-AAA shared secret fields will contain valid data if set to TRUE.

Definition at line 652 of file HsPhoneCDMATypes.h.

Boolean stored_mn_aaa_ss

Boolean indicating if the MN-AAA shared secret parameter is stored with this PDP profile.

Definition at line 657 of file HsPhoneCDMATypes.h.

UInt8 mn_aaa_ss_length

Length of the MN-AAA shared secret parameter for this PDP if the STORE_MN_AAA_SS field is set to FALSE. Maximum length shall be 16.

Definition at line 661 of file HsPhoneCDMATypes.h.

UInt8 mn_aaa_ss[phnMaxMNAAASharedSecretLen]

Text/binary string of the MN-AAA shared secret parameter stored in the modem for this PDP.

Definition at line 665 of file HsPhoneCDMATypes.h.

Boolean restrict_mn_ha_ss

Boolean indicating if the MN-HA shared secret field is restricted from being read from this PDP index. None of the following MN-HA shared secret fields will contain valid data if set to TRUE.

Definition at line 669 of file HsPhoneCDMATypes.h.

UInt8 mn_ha_ss_length

Length of the MN-HA shared secret parameter stored in the modem for this PDP. Maximum length shall be 16.

Definition at line 674 of file HsPhoneCDMATypes.h.

UInt8 mn_ha_ss[phnMaxMNHASharedSecretLen]

Text/binary string of the MN-HA shared secret parameter stored in the modem for this PDP.

Definition at line 678 of file HsPhoneCDMATypes.h.

Boolean restrict_mn_aaa_spi

Boolean indicating if the SPI for MN-AAA authentication field is restricted from being read from this PDP index. None of the following SPI for MN-AAA authentication fields will contain valid data if set to TRUE.

Definition at line 682 of file HsPhoneCDMATypes.h.

Boolean set_mn_aaa_spi

Boolean indicating if the SPI for MN-AAA authentication is set for this PDP

Definition at line 688 of file HsPhoneCDMATypes.h.

DWord mn_aaa_spi

Integer value of the SPI for MN-AAA authentication for this PDP.

Definition at line 692 of file HsPhoneCDMATypes.h.

Boolean restrict_mn_ha_spi

Boolean indicating if the SPI for MN-HA authentication field is restricted from being read from this PDP index. None of the following SPI for MN-AAA authentication fields will contain valid data if set to TRUE.

Definition at line 695 of file HsPhoneCDMATypes.h.

Boolean set_mn_ha_spi

Boolean indicating if the SPI for MN-HA authentication is set for this PDP.

Definition at line 701 of file HsPhoneCDMATypes.h.

DWord mn_ha_spi

Integer value of the SPI for MN-HA authentication parameter for this PDP.

Definition at line 705 of file HsPhoneCDMATypes.h.

Boolean restrict_rev_tunnel_pref

Boolean indicating if the reverse tunnel setting is restricted from being read from this PDP index. The REV_TUNNEL_PREF field will not contain valid data if set to TRUE.

Definition at line 709 of file HsPhoneCDMATypes.h.

Boolean rev_tunnel_pref

Boolean indicating if reverse tunnel is used for this PDP.

Definition at line 714 of file HsPhoneCDMATypes.h.

Boolean restrict_home_addr

Boolean indicating if the modem's Home Address setting is restricted from being read from this PDP index. The HOME_ADDR field will not contain valid data if set to TRUE.

Definition at line 717 of file HsPhoneCDMATypes.h.

DWord home_addr

The home IP address of the modem for this PDP. An address of 0.0.0.0 indicates the IP address will be dynamically assigned by the PDSN for Mobile IP and Simple IP.

Definition at line 722 of file HsPhoneCDMATypes.h.

Boolean restrict_ha_addr

Boolean indicating if the Home Agent IP address fields are restricted from being read from this PDP index. None of the following Home Agent IP address fields will contain valid data if set to TRUE.

Definition at line 727 of file HsPhoneCDMATypes.h.

DWord prim_ha_addr

The Primary Home Agent IP address for this PDP

Definition at line 732 of file HsPhoneCDMATypes.h.

DWord sec_ha_addr

The Secondary Home Agent IP address for this PDP

Definition at line 735 of file HsPhoneCDMATypes.h.

UInt8 svc_str_length

The length of the service string for this PDP.

Definition at line 738 of file HsPhoneCDMATypes.h.

UInt8 svc_str[phnMaxSvcStrLen]

Text string of the service string for this PDP.

Definition at line 741 of file HsPhoneCDMATypes.h.

UInt8 dial_str_length

The length of the dial string for this PDP.

Definition at line 744 of file HsPhoneCDMATypes.h.

UInt8 dial_str[phnMaxDialStrLen]

The dial string for this PDP.

Definition at line 747 of file HsPhoneCDMATypes.h.

Boolean dns_server_assigned

Boolean indicating if specific DNS server IP addresses are assigned for this PDP.

Definition at line 750 of file HsPhoneCDMATypes.h.

DWord prim_dns_addr

The Primary DNS server IP address for this PDP if the DNS_SERVER_ASSIGNED field is set to TRUE.

Definition at line 754 of file HsPhoneCDMATypes.h.

DWord sec_dns_addr

The Secondary DNS server IP address for this PDP if the DNS_SERVER_ASSIGNED field is set to TRUE.

Definition at line 758 of file HsPhoneCDMATypes.h.

PhnPDPConnectionType connection_type

Connection type of the PDP

Definition at line 762 of file HsPhoneCDMATypes.h.

PhnPDPService pdp_services

Services for which this PDP should be used

Definition at line 765 of file HsPhoneCDMATypes.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:24 2008 for Palm API Guide